# Tic-Tac-Toe in C++

## Overview
This is a simple **Tic-Tac-Toe** game implemented in **C++**. It is a terminal-based application where two players take turns to play. The game detects wins, losses, and draws.

## Features
- Two-player mode (Player X vs Player O).
- Simple terminal-based interface.
- Detects win, loss, and draw conditions.
- Error handling for invalid inputs.

## Prerequisites
- C++ Compiler (e.g., `g++` from GCC)
- Terminal (Command Prompt, PowerShell, or Unix-based shell)
- (Optional) VS Code with C++ extension for development

## Installation and Setup
1. **Clone the Repository** (if using GitLab):
   ```sh
   git clone <your-repo-link>
   cd TicTacToe
   ```

2. **Compile the Program**:
   ```sh
   g++ main.cpp game.cpp -o tictactoe
   ```

3. **Run the Game**:
   ```sh
   ./tictactoe   
   tictactoe.exe 
   ```

## Usage
- The game starts by displaying the Tic-Tac-Toe board.
- Players take turns entering their move (1-9) by selecting a board position.
- The game checks for a winner after every move.
- If no moves are left and no player has won, the game ends in a draw.

## Example Gameplay
```
Tic-Tac-Toe Board:
1 2 3
4 5 6
7 8 9

Player X, enter your move (1-9): 5
Tic-Tac-Toe Board:
1 2 3
4 X 6
7 8 9
...
Player O, enter your move (1-9): 3
...
Player X wins!
```

## Future Improvements
- Implement AI opponent using the Minimax algorithm.
- Improve UI with colored text for better readability.
- Add save/load game functionality.

## Author
- **Garah sabti**

## License
This project is open-source and available for educational purposes.


